html,
body,
div,
ul,
ol,
li,
dl,
dt,
dd,
h1,
h2,
h3,
h4,
h5,
h6,
pre,
form,
p,
blockquote,
fieldset,
input {
    margin: 0;
    padding: 0;
}

img {
    border: none;
    width: 100%;
}

.main-content img {
    filter: grayscale(40%);
    border-radius: 5px;
}

table {
    border-collapse: collapse;
    border-spacing: 0;
    width: 100%;
}

form {
    margin: 0px;
}

dt,
dl,
dd,
ul,
li {
    list-style-type: none;
    padding: 0 10px 0 0;
}

/* Menü NEU */
.nav-wrapper {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    background-color: #222;
    padding: 10px;
}

.menu {
    display: flex;
    list-style-type: none;
    margin: 0;
    padding: 0;
}

.menu > li {
    position: relative;
}

.menu > li > a {
    display: block;
    padding: 10px 20px;
    color: #bbb;
    text-decoration: none;
}

.menu > li > a:hover,
.menu > li > a.active {
    color: #fff;
}

.sub-menu {
    display: none;
    position: absolute;
    top: 100%;
    left: 0;
    list-style-type: none;
    margin: 0;
    padding: 0;
    background-color: #333;
    border: 1px solid #555;
}

.sub-menu > li > a {
    display: block;
    padding: 10px 20px;
    color: #bbb;
    text-decoration: none;
}

.sub-menu > li > a:hover {
    color: #fff;
}

.menu > li:hover > .sub-menu {
    display: block;
}

.active {
    color: #fff;
}

.hamburger {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 30px;
    height: 20px;
    cursor: pointer;
}

.hamburger div {
    height: 3px;
    background-color: #bbb;
}

.box_twitter a {
    color: #303030;
}

.box_twitter h1 a {
    color: #303030;
    text-decoration: none;
    font-size: 13pt;
}

.box_twitter h1 {
    font-size: 13pt;
}

.box_icon {
    margin-left: 3px;
    margin-bottom: 3px;
    float: right;
}

.icon {
    margin-left: 1px;
    margin-bottom: 1px;
    width: 15px;
    height: 15px;
}

.icon_bar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}
  
.icon_bar a {
    flex-grow: 1;
    display: flex;
    justify-content: center;
    margin: 2%;
}
  
.icon_menu {
    width: 100%;
}

.mobile-table {
    overflow: scroll;
}

.mobile-table table{
    border: solid gray 1px;
}

/* Seitenaufbau PC */
body {
    font: 10pt Helvetica, Verdana;
    margin: 0;
    padding: 0;
    width: 100%;
    height: 100%;
    background-color: #fafafa;
}

.cross {
    position: fixed;
    top: 40%;
    left: 20%;
    width: 60px; 
    height: 700px; 
    background-color: rgb(210, 210, 210); 
    transform: translate(-50%, -50%);
    z-index: -1;
}

.cross::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    width: 450px; 
    height: 60px;
    background-color: rgb(210, 210, 210);
    transform: translate(-50%, -200%);
}

.main_header {
    min-height: 100px;
    margin: 60px 0px 30px 0px;
    background-image: url(https://www.nbl.at/styles/grafiken/logo_nbl1901.png);
    -webkit-filter: grayscale(100%);
    filter: grayscale(100%);
    background-position: center;
    background-repeat: no-repeat;
    background-size: contain;
}

.container {
    max-width: 850px;
    margin: 10px auto 10px auto;
    min-height: 30px;
}

.container_left {
    padding: 30px 25px 20px 0px;
    width: 67%;
    float: left;
}

.main_content {
    float: left;
    width: 100%;
}

.columns {
    column-count: 2;
    column-gap: 20px;

    -moz-column-count: 2;
    -moz-column-gap: 20px;

    -webkit-column-count: 2;
    -webkit-column-gap: 20px;
}

.container_right {
    float: right;
    padding: 30px 0px 20px 0px;
    width: 30%;
}

.box_twitter {
    margin-top: 5px;
    margin-bottom: 5px;
    padding: 5px;
    width: 95%;
    border: 1px solid #555;
    font-family: helvetica;
    font-size: 9pt;
    background-color: #e4e4e4;
    float: right;
}

.box_twitter img {
    width: 100%;
    align-items: center;
}

.box_icon img {
    width: 20px;
    height: 20px;
}

.container_bottom {
    clear: both;
}

.main_bottom {
    width: 850px;
    margin: 25px auto 15px auto;
    padding: 10px 15px 20px 15px;
    text-align: right;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    border-right-style: solid;
    border-left-style: solid;
    border-bottom-style: solid;
    border-width: thin;
    border-color: #444;
}

/* Geburtstagsminivorschau */
.user-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
    grid-gap: 20px;
    align-items: center;
    justify-content: center;
}
.user-container {
    display: flex;
    align-items: center;
}
.user-container img {
    width: 60px;
    height: 60px; 
    border-radius: 60px;
    object-fit: cover;
    margin-right: 15px;
}

/* Formatvorlagen */
a {
    font-size: 9pt;
    font-style: italic;
    color: #303030;
}

h1 {
    font: 13pt Helvetica, Verdana;
    color: #5b5b5b;
    font-weight: bold;
    margin-bottom: 5px;
}

h2 {
    font: 12pt Helvetica, Verdana;
    color: #5b5b5b;
    font-weight: bold;
    margin-top: 15px;
    margin-bottom: 5px;
}

h2 a {
    color: #5b5b5b;
}

h3 {
    font: 11pt Helvetica, Verdana;
    color: #5b5b5b;
    font-weight: bold;
    margin-bottom: 5px;
}

p {
    color: #303030;
    margin-top: 5px;
    font-size: 9pt;
}

p a {
    color: #303030;
}

.space {
    height: 15px;
}

.error_message {
    color: red;
    font-weight: bold;
}

.success_message {
    color: green;
    font-weight: bold;
}

.highlight {
    color: #2e2e2e;
    font-weight: bold;
}

table.gallery_list td {
    padding: 5px;
}

table.gallery_page td {
    border: 1px solid #555;
}

table {
    margin-top: 5px;
    margin-bottom: 5px;
}

td {
    color: #303030;
    font-size: 9pt;
}

td a {
    color: #303030;
    font-style: italic;
}

.no_decoration {
    font-weight: normal;
    text-decoration: none;
    color: #303030;
}

.lastrow {
    padding-bottom: 10px;
}

/* Formulare */
input,
select,
textarea,
password {
    color: #333;
    font-size: 9pt;
    border: 1px solid #323232;
    background-color: #fff;
    margin-top: 2px;
    margin-bottom: 2px;
    width: 100%;
}

input[type='submit'],
input[type='reset'],
input[type=button] {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 10px;
    padding-right: 10px;
}

input[type=checkbox],
input[type=radio] {
    padding-top: 0px;
    padding-bottom: 0px;
    padding-left: 10px;
    padding-right: 10px;
    width: 10px;
    height: 10px;
}

.input_long {
    width: 100%;
}

textarea {
    width: 100%;
    height: 50px;
    font-family: Helvetica, Verdana;
}

.formlabel {
    padding-top: 5px;
}

.importantfield {
    visibility: hidden;
}

/* Forum */
.forum_row {
    background-color: #222;
    border: 1px solid #555;
    margin-top: 4px;
}

.forum_title {
    float: left;
    padding: 4px;
    margin: 0px;
}

.forum_title a {
    text-decoration: none;
    color: #999;
}

.forum_addinfo {
    float: right;
    width: 100%;
    padding: 4px;
    font-weight: bold;
    color: #999;
}

.forum_thread {
    padding: 10px;
}

.forum_quote {
    border-style: solid;
    border-color: #555;
    border-width: 1;
    padding: 10px;
    margin: 10px;
}

/* Gallery */
.photo-grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 20px -10px;
}
  
.photo-item {
    width: calc(33.33% - 20px);
    margin: 0 10px 20px;
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    border-radius: 5px;
    overflow: hidden;
    height: fit-content;
    background-color: #fff;
}
  
.photo-item img {
    width: 100%;
    height: auto;
    object-fit: cover;
}
  
.photo-item h4 {
    margin: 10px 0;
    font-size: 16px;
    font-weight: bold;
    color: #999;
}
  
.photo-item .buttons {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 10px;
    padding: 0 10px;
}
  
.photo-item .buttons a,
.photo-item .buttons button {
    display: inline-block;
    padding: 5px;
    border: none;
    background-color: transparent;
    cursor: pointer;
    color: #bbb;
}
  
.photo-item .buttons a:hover,
.photo-item .buttons button:hover {
    background-color: #333;
    border-radius: 3px;
}
  
.photo-item .buttons img {
    width: 10px;
    height: 10px;
}
  
.gallery-info {
    margin: 10px;
    color: #999;
}
  
.photo-item .buttons button {
    font-size: 14px;
    color: #fff;
    background-color: #666;
    border-radius: 3px;
    transition: background-color 0.3s ease;
}
  
.photo-item .buttons button:hover {
    background-color: #555;
}
  
.lightbox {
    display: none;
    position: fixed;
    z-index: 999;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
}
  
.lightbox img {
    max-width: 90%;
    max-height: 90%;
    width: auto;
    height: auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}
  
.lightbox:target {
    display: block;
}
  
.lightbox .arrow {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 40px;
    height: 40px;
    font-size: 40px;
    color: white;
    text-align: center;
    cursor: pointer;
    opacity: 0.6;
}
  
.lightbox .arrow:hover {
    opacity: 1;
}
  
.lightbox .prev {
    left: 20px;
}
  
.lightbox .next {
    right: 20px;
}

/* Seitenaufbau Smartphone */
@media screen and (max-width: 950px) {
    .photo-item {
        width: 100%;
    }

    .main_header {
        width: 100%;
        height: 80px;
        margin: 10px auto 10px auto;
        background-size: contain;
    }

    .container {
        width: 90%;
        min-height: 10;
    }

    .container_left {
        width: 100%;
    }

    .container_right {
        padding-top: 10px;
        width: 100%;
    }

    .box_twitter {
        float: unset;
    }

    .main_bottom {
        width: 90%;
    }
}

@media screen and (max-width: 450px) {
    .nav-wrapper {
        color: #fff;
        position: relative;
    }

    .menu {
        display: none;
        flex-direction: column;
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        background-color: #222;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .menu li {
        display: block;
    }

    .menu li a {
        padding: 10px 20px;
        display: block;
    }

    .sub-menu {
        display: none;
        z-index: 999;
        width: 100%;
    }

    .sub-menu li a {
        background-color: #333;
        padding-left: 40px;
    }

    .hamburger {
        display: flex;
    }
}
